cpu (1.4.3-16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:23:17 +0100

cpu (1.4.3-16) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add Build-Depends: libcrypt-dev.  (Closes: #1106910)
  * Fix FTBFS with GCC 15.  (Closes: #1096473)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Sep 2025 09:57:27 +0200

cpu (1.4.3-15) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add another smoke test: cpu --version.
  * Declare Rules-Requires-Root: no.
  * Whitespace cleanup.
  * Convert translations to utf-8.

  [ Holger Weiß ]
  * Fix off-by-one allocation error causing segmentation faults.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Oct 2024 07:46:28 +0200

cpu (1.4.3-14~deb11u1) bullseye; urgency=medium

  * QA upload.
  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 May 2024 03:34:34 +0200

cpu (1.4.3-14~deb12u1) bookworm; urgency=medium

  * QA upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 21:37:56 +0100

cpu (1.4.3-14) unstable; urgency=medium

  * QA upload.
  * Actually provide a definition of globalLdap.  (Closes: #1067439)
  * Add smoke test.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Mar 2024 14:39:06 +0100

cpu (1.4.3-13) unstable; urgency=medium

  * QA upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Archive, Bug-Submit.
  * Drop unnecessary dependency on dh-autoconf.
  * Drop unnecessary dh arguments: --parallel

  [ Sudip Mukherjee ]
  * Fix ftbfs with GCC-10. (Closes: #957106)
  * Update Standards-Version to 4.5.0
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 10 Jul 2020 21:12:27 +0100

cpu (1.4.3-12) unstable; urgency=low

  * QA upload.

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3,,debhelper to 9, add homepage field.
  * Add build-arch and build-indep targets to rules file.
  * Note: some patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Fix maintainer-script-without-set-e (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix non-empty-dependency_libs-in-la-file (Lintian) by not installing *.la
    <http://wiki.debian.org/ReleaseGoals/LAFileRemoval>.
  * Closes: #668478

  [ Florian Schlichting ]
  * Fix wrong po header (Closes: #695996)
  * Remove Paul J Stevens from Uploaders on request of the MIA team
    (Closes: #574436)
  * Update Homepage and Standards-Version
  * Ship cpu.conf in /usr/share/cpu instead of /usr/share/doc (Closes: #710069)
  * Change maintainer to Debian QA Group. (see #818629)
  * Add Vcs-* headers
  * Drop obsolete version on (build-)dependencies
  * Fix typos and an error from man, all found by lintian
  * Simplify maintainer scripts a bit, guarding ucf call in postrm
    (Closes: #330567) and preventing sed to operate on non-existant cpu.conf
  * Use short-form debian/rules
    + with dh_autoreconf (closes: #630376)
    + drop 10_cpu.conf.patch, included upstream since 1.4.3
    + update 02_dontmesswithetc.patch to change Makefile.am instead of .in
      and patch doc/cpu.conf instead of using our own copy
    + use all dh-provided hardening flags, fixing FTBFS by adding
      08_add-flag-for-O_CREAT.patch from Ubuntu
    + add 09_build-system.patch addressing some warnings and typos
  * Update debian/copyright to machine-readable copyright-format 1.0
  * Update 06_manpage.patch to actually include the USE_TLS patch
    (Closes: #312601)
  * Add 10_support-inetOrgPerson-Schema.patch: Enhancement to support
    inetOrgPerson Schema (Closes: #397882)
  * Add 11_md5crypt-password-support.patch yo implement md5crypt password
    support (Closes: #428829)
  * Add 12_yes-unimplemented.patch to hide the -y / --yes option, which is
    unfinished / doesn't do anything (Closes: #415282)
  * Add 13_ldap-object-class-violation.patch to display a helpful error message
    for "LDAP error 65" (Closes: #308696)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 26 Mar 2016 22:48:06 +0100

cpu (1.4.3-11.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #684575
    - Slovak (Slavko).  Closes: #685549
    - Polish (Michał Kułach).  Closes: #685947
    - French (typo fixes).

 -- David Prévot <taffit@debian.org>  Mon, 27 Aug 2012 12:12:49 -0400

cpu (1.4.3-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libcrack2-dev.
    Closes: #490235, #598173
    Thanks: Jan Dittberner <jandd@debian.org>
  * Update config.guess and config.sub before configure, not during clean
    and remove them in clean.
  * Add autotools-dev to Build-Depends for the above.
  * Build-Depend on debhelper (>= 7) to match debian/compat.

 -- Evgeni Golov <evgeni@debian.org>  Wed, 06 Oct 2010 14:26:13 +0200

cpu (1.4.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix out of date libtool scripts that made tha package FTBFS on kFreeBSD
    Thanks to Petr Salinger for the patch
    Closes: #493704
  * Fix watch file. Thanks to Raphaël Geissert for the patch.
    Closes: #449950
  * Refer to explicit version of GPL-2 in debian.copyright
  * No longer ignore errors in postinst
  * Bump debhelper compatiblity to 7
  * Replace useless dhclean -k by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #510801
    - Spanish (Francisco Javier Cuadrado).  Closes: #537679
    - Russian (Yuri Kozlov).  Closes: #546346
    - Finnish (Esko Arajärvi).  Closes: #554481
    - Galician (Marce Villarino).  Closes: #555455

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Nov 2009 08:00:53 +0100

cpu (1.4.3-11) unstable; urgency=low

  * Apply patch from Michael Bienia to correctly handle CFLAGS
    (closes: #462844)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 13 Feb 2008 16:24:38 +0000

cpu (1.4.3-10) unstable; urgency=low

  * Compile with -DLDAP_DEPRECATED to use ldap_get_values() (closes: #462844)
  * Acknowledge NMU
  * Update FSF address in copyright file, and add copyright notice
  * Update Standards Version

 -- Guido Trotter <ultrotter@debian.org>  Fri, 08 Feb 2008 17:14:54 +0000

cpu (1.4.3-9.1) unstable; urgency=low

  * Non-maintainer upload during BSP.
  * depends on non-essential package debconf in postrm (Closes: #416736)

 -- Javier Merino <cibervicho@gmail.com>  Fri, 18 May 2007 17:51:10 +0200

cpu (1.4.3-9) unstable; urgency=low

  * Add swedish and portugese translations (closes: #338737, #349589)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Nov 2006 12:37:32 +0000

cpu (1.4.3-8) unstable; urgency=low

  * Add debian/watch file
  * Add Wichert Akkerman's patch to allow bad passwords (no answer from
    upstream in one year, sic) (closes: #246673)
  * Add Alexander Zangerl's patch to allow USE_TLS config file option
    (closes: #312601)
  * Add about tls option in the man page
  * More code rework coming...

 -- Guido Trotter <ultrotter@debian.org>  Sat, 16 Jul 2005 06:57:18 +0000

cpu (1.4.3-7) unstable; urgency=low

  * Retry upload... It somehow got lost somewhere! :/

 -- Guido Trotter <ultrotter@debian.org>  Mon, 11 Jul 2005 13:16:16 +0300

cpu (1.4.3-6) unstable; urgency=low

  * Update japanese translation (closes: #307045)
  * Update vietnamite translation (closes: #310144)
  * Fix a bug building with gcc 4.0 (closes: #289859)
  * Thanks to Andreas Jochens, Clytie Siddall, Kenshi Muto
  * Update to the latest policy

 -- Guido Trotter <ultrotter@debian.org>  Sun, 10 Jul 2005 18:55:43 +0000

cpu (1.4.3-5) unstable; urgency=high

  * Sneak in a couple of updated translations, no other changes.
  * cs,po by Jan Outrata (closes: #275501)
  * pt_BR.po by Andre Luis Lopes (closes: #271192)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 12 Oct 2004 22:22:02 -0700

cpu (1.4.3-4) unstable; urgency=low

  * Updated nl.po by Luk Claes (closes: #253453)

 -- Guido Trotter <ultrotter@debian.org>  Wed,  9 Jun 2004 21:43:04 +0200

cpu (1.4.3-3) unstable; urgency=low

  * The "Fix before debconf ends" upload
  * English template rearrangement by Christian Perrier
  * New translation:
    - de.po by Erik Schanze (closes: #251582)
  * Updated translations:
    - it.po by Valentina Commissari
    - fr.po by Christian Perrier
    - es.po by Gunnar Wolf

 -- Guido Trotter <ultrotter@debian.org>  Wed,  2 Jun 2004 18:58:33 -0300

cpu (1.4.3-2) unstable; urgency=low

  * Upgrade ucf stuff to use the new debconf-based ucf

 -- Guido Trotter <ultrotter@debian.org>  Tue, 24 Feb 2004 18:30:31 +0100

cpu (1.4.3-1) unstable; urgency=low

  * New upstream release
    - new password handling (closes: #215437)
    - better error recovery (closes: #215258)
    - does not segfault when creating an account
      giving the user's name (closes: #223326)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 17 Jan 2004 15:52:54 +0100

cpu (1.4.2-2) unstable; urgency=low

  Paul J Stevens:
    * fixed bashism in cpu.config (closes: #219724).

  Guido Trotter:
    * clean up debian/rules a bit.
    * remove lintian override file.

 -- Guido Trotter <ultrotter@debian.org>  Sat, 15 Nov 2003 08:24:42 +0100

cpu (1.4.2-1) unstable; urgency=medium

  Guido Trotter:
    * New upstream release
      - This is an upstream bugfix release; among other things it fixes some
        scalability problems that the previous version had while operating on
        big directories: urgency medium because of this.
      - Has better error messages (helps: #215298)
    * Now ship a default config file with USERGROUPS=yes in it (closes: #215298)
    * Make postinst use umask 026 when creating the config file, and remove
      the call to dpkg-statoverride (closes: #217630)
    * Add the spanish translation (es.po) provided by José L. Redrejo

  Paul J Stevens:
    * Refactored char escaping in postinst.
    * Postinst parses spaces in BIND_DN (closes: #216077).
    * Depend on ucf (closes: #217629)

 -- Guido Trotter <ultrotter@debian.org>  Fri, 17 Oct 2003 22:08:32 +0200

cpu (1.4.1-4) unstable; urgency=low

  * Add back calls to patch and unpatch
    targets in debian/rules (closes: #215570)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Oct 2003 19:02:46 +0200

cpu (1.4.1-3) unstable; urgency=low

  Paul J Stevens:
    * Redesign debconf stuff (closes: #213789, #215255)
    * Write and add nl.po

  Guido Trotter:
    * Add Paul J Stevens as Uploader
    * Write and add it.po
    * Add fr.po by Christian Perrier (closes: #214262)
    * Update copyright file (closes: #215251)

 -- Guido Trotter <ultrotter@debian.org>  Fri, 26 Sep 2003 12:12:38 +0200

cpu (1.4.1-2) unstable; urgency=low

  * Install NEWS.Debian
  * I didn't relly move the libs, so remove the changelog entry that told it.

 -- Guido Trotter <ultrotter@debian.org>  Fri, 26 Sep 2003 12:37:04 +0200

cpu (1.4.1-1) unstable; urgency=low

  * New upstream release
    - now really uses USER_CN_STRING, instead of overridding it with "cn",
      tell in NEWS.Debian about this issue and its possible consequences.
    - now adds a new group along with the user
  * Pass --datadir option to configure, to stop it dropping shings in
    /usr/share
  * Modified upstream build system not to try to install cpu.conf file:
    it tried to install it without respecting the DESTDIR variable and,
    moreover, we would have to remove it anyway.
  * Add "etc/cpu" to debian/dirs

 -- Guido Trotter <ultrotter@debian.org>  Fri, 26 Sep 2003 10:50:58 +0200

cpu (1.4.0-3) unstable; urgency=low

  * Ship a reasonable default value (consistent with the cracklib packages
    and the FHS) for CRACKLIB_DICTIONARY in the config file (closes: #212733)
  * Don't pass -s to seed (closes: #212728)

 -- Guido Trotter <ultrotter@debian.org>  Fri, 26 Sep 2003 09:14:25 +0200

cpu (1.4.0-2) unstable; urgency=low

  * The "proliferation of the \" release.
  * Escape also '\' character in postinst, before passing it to sed.
    This, in theory closes: #212534.
  * Improve short description a bit.

 -- Guido Trotter <ultrotter@debian.org>  Wed, 24 Sep 2003 10:14:16 +0200

cpu (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Override lintian warnings about symlinks (cpu won't start without them)
  * Don't apply 01_ldapv3please, as ldapv3 is enabled upstream

 -- Guido Trotter <ultrotter@debian.org>  Tue, 16 Sep 2003 18:19:44 +0200

cpu (1.3.100-1) unstable; urgency=low

  * Initial Release (closes: #151829).
  * Apply patch to bind using LDAPv3: this renders cpu compatible
    with OpenLDAP 2.1, which doesn't allow bind_v2, by default.
  * Generate configuration file with debconf.
  * Clean up the shared library part: it's not needed.
  * Let's release it, at last!

 -- Guido Trotter <ultrotter@debian.org>  Thu,  4 Sep 2003 17:32:13 +0200
